跳转到主要内容
POST
/
v1
/
files
/
delete
Delete File
curl --request POST \
  --url https://api.minimaxi.com/v1/files/delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "file_id": "${file_id}",
  "purpose": "t2a_async_input"
}
'
import requests

url = "https://api.minimaxi.com/v1/files/delete"

payload = {
    "file_id": "${file_id}",
    "purpose": "t2a_async_input"
}
headers = {
    "Content-Type": "<content-type>",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'},
  body: JSON.stringify({file_id: '${file_id}', purpose: 't2a_async_input'})
};

fetch('https://api.minimaxi.com/v1/files/delete', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "file_id": "${file_id}",
  "base_resp": {
    "status_code": 0,
    "status_msg": "success"
  }
}

授权

Authorization
string
header
必填

HTTP: Bearer Auth

  • Security Scheme Type: http
  • HTTP Authorization Scheme: Bearer API_key,用于验证账户信息,可在 账户管理>接口密钥 中查看。

请求头

Content-Type
enum<string>
默认值:multipart/form-datan
必填

请求体的媒介类型 multipart/form-data

可用选项:
multipart/form-data

请求体

application/json
file_id
integer<int64>
必填

文件的唯一标识符

purpose
enum<string>
必填

文件使用目的。取值及支持格式如下:

  1. voice_clone
  2. prompt_audio
  3. t2a_async
  4. t2a_async_input
  5. video_generation
可用选项:
voice_clone,
prompt_audio,
t2a_async,
t2a_async_input,
video_generation

响应

200 - application/json
file_id
integer<int64>

The unique identifier for the file.

base_resp
object